## ros-rolling-moveit-ros-control-interface 2.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2)
project(moveit_ros_control_interface)

find_package(ament_cmake REQUIRED)

set(THIS_PACKAGE_INCLUDE_DEPENDS
    rclcpp_action
    controller_manager_msgs
    moveit_core
    moveit_simple_controller_manager
    pluginlib
    trajectory_msgs
)

foreach(dependency IN ITEMS ${THIS_PACKAGE_INCLUDE_DEPENDS})
  find_package(${dependency} REQUIRED)
endforeach()

# Common cmake code applied to all moveit packages
find_package(moveit_common REQUIRED)
moveit_package()

# Finds Boost Components
include(ConfigExtras.cmake)

add_library(${PROJECT_NAME}_plugin SHARED
  src/controller_manager_plugin.cpp
)
set_target_properties(${PROJECT_NAME}_plugin PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_include_directories(${PROJECT_NAME}_plugin PRIVATE include)
ament_target_dependencies(${PROJECT_NAME}_plugin
    ${THIS_PACKAGE_INCLUDE_DEPENDS}
    Boost
)

add_library(${PROJECT_NAME}_trajectory_plugin SHARED
  src/joint_trajectory_controller_plugin.cpp
)
set_target_properties(${PROJECT_NAME}_trajectory_plugin PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_include_directories(${PROJECT_NAME}_trajectory_plugin PRIVATE include)
ament_target_dependencies(${PROJECT_NAME}_trajectory_plugin
    ${THIS_PACKAGE_INCLUDE_DEPENDS}
    Boost
)

add_library(${PROJECT_NAME}_gripper_plugin SHARED
  src/gripper_controller_plugin.cpp
)
set_target_properties(${PROJECT_NAME}_gripper_plugin PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_include_directories(${PROJECT_NAME}_gripper_plugin PRIVATE include)
ament_target_dependencies(${PROJECT_NAME}_gripper_plugin
    ${THIS_PACKAGE_INCLUDE_DEPENDS}
    Boost
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)

  # These don't pass yet, disable them for now
  set(ament_cmake_copyright_FOUND TRUE)
  set(ament_cmake_cppcheck_FOUND TRUE)
  set(ament_cmake_cpplint_FOUND TRUE)
  set(ament_cmake_uncrustify_FOUND TRUE)

  # Run all lint tests in package.xml except those listed above
  ament_lint_auto_find_test_dependencies()
endif()

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS ${PROJECT_NAME}_plugin ${PROJECT_NAME}_trajectory_plugin ${PROJECT_NAME}_gripper_plugin
EXPORT export_${PROJECT_NAME}
ARCHIVE DESTINATION lib
LIBRARY DESTINATION lib
RUNTIME DESTINATION bin
INCLUDES DESTINATION include
)

## Mark cpp header files for installation
install(DIRECTORY include/
  DESTINATION include
)

pluginlib_export_plugin_description_file(moveit_core moveit_core_plugins.xml)
pluginlib_export_plugin_description_file(moveit_ros_control_interface moveit_ros_control_interface_plugins.xml)

ament_export_targets(export_${PROJECT_NAME} HAS_LIBRARY_TARGET)
ament_export_dependencies(
    ${THIS_PACKAGE_INCLUDE_DEPENDS}
    Boost
)

ament_package(CONFIG_EXTRAS ConfigExtras.cmake)

=== debian/changelog ===
ros-rolling-moveit-ros-control-interface (2.4.0-1focal) focal; urgency=high

  * moveit_build_options()
    Declare common build options like CMAKE_CXX_STANDARD, CMAKE_BUILD_TYPE,
    and compiler options (namely warning flags) once.
    Each package depending on moveit_core can use these via moveit_build_options().
  * Contributors: Robert Haschke

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 20 Jan 2022 07:00:00 -0000

ros-rolling-moveit-ros-control-interface (2.3.2-1focal) focal; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 29 Dec 2021 07:00:00 -0000

ros-rolling-moveit-ros-control-interface (2.3.1-1focal) focal; urgency=high

  * Fix installation of moveit_ros_control_interface header files (#789 <https://github.com/ros-planning/moveit2/issues/789>)
  * Enforce package.xml format 3 Schema (#779 <https://github.com/ros-planning/moveit2/issues/779>)
  * Update Maintainers of MoveIt package (#697 <https://github.com/ros-planning/moveit2/issues/697>)
  * Update controller_manager_plugin to fix MoveIt-managed controller switching (#785 <https://github.com/ros-planning/moveit2/issues/785>)
  * moveit_ros_control_interface: Small comment cleanup (#754 <https://github.com/ros-planning/moveit2/issues/754>)
  * Contributors: AndyZe, Dave Coleman, Henning Kayser, Joseph Schornak, Robert Haschke

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 23 Dec 2021 07:00:00 -0000

ros-rolling-moveit-ros-control-interface (2.3.0-1focal) focal; urgency=high

  * moveit_ros_control_interface: Fix dangling reference (#710 <https://github.com/ros-planning/moveit2/issues/710>)
  * Port moveit ros control interface to ROS2 (#545 <https://github.com/ros-planning/moveit2/issues/545>)
    * Port moveit_ros_control_interface to ROS2
    * Multiple fixes to trajectory_execution_manager
  * Fix reversed check in switchControllers (#2726 <https://github.com/ros-planning/moveit2/issues/2726>)
  * Contributors: Jafar Abdi, Nathan Brooks, Joe Schornak, Henning Kayser

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Fri, 08 Oct 2021 06:00:00 -0000

ros-rolling-moveit-ros-control-interface (2.2.1-1focal) focal; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 12 Jul 2021 06:00:00 -0000

ros-rolling-moveit-ros-control-interface (1.1.1-1focal) focal; urgency=high

  * [maint] Add comment to MOVEIT_CLASS_FORWARD (#2315 <https://github.com/ros-planning/moveit/issues/2315>)
  * Contributors: Felix von Drigalski

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Tue, 13 Oct 2020 06:00:00 -0000

ros-rolling-moveit-ros-control-interface (1.1.0-1focal) focal; urgency=high

  * [feature] Optional cpp version setting (#2166 <https://github.com/ros-planning/moveit/issues/2166>)
  * [feature] Remove support for Indigo's ros_control (#2128 <https://github.com/ros-planning/moveit/issues/2128>)
  * [feature] Add support for pos_vel_controllers and pos_vel_acc_controllers (#1806 <https://github.com/ros-planning/moveit/issues/1806>)
  * [fix] Various fixes for upcoming Noetic release (#2180 <https://github.com/ros-planning/moveit/issues/2180>)
  * [fix] Fix compiler warnings (#1773 <https://github.com/ros-planning/moveit/issues/1773>)
  * [maint] clang-tidy-fix modernize-loop-convert to entire code base (#1419 <https://github.com/ros-planning/moveit/issues/1419>)
  * [maint] Switch from include guards to pragma once (#1615 <https://github.com/ros-planning/moveit/issues/1615>)
  * [maint] Remove ! from MoveIt name (#1590 <https://github.com/ros-planning/moveit/issues/1590>)
  * Contributors: Dave Coleman, Henning Kayser, Jonathan Binney, Robert Haschke, Sandro Magalhães, Sean Yen, Tyler Weaver, Yu, Yan

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Fri, 04 Sep 2020 06:00:00 -0000

ros-rolling-moveit-ros-control-interface (1.0.6-1focal) focal; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Wed, 19 Aug 2020 06:00:00 -0000

ros-rolling-moveit-ros-control-interface (1.0.5-1focal) focal; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Wed, 08 Jul 2020 06:00:00 -0000

ros-rolling-moveit-ros-control-interface (1.0.4-1focal) focal; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Sat, 30 May 2020 06:00:00 -0000

ros-rolling-moveit-ros-control-interface (1.0.3-1focal) focal; urgency=high

  * [maint]   Fix errors: catkin_lint 1.6.7 (#1987 <https://github.com/ros-planning/moveit/issues/1987>)
  * [maint]   Windows build: Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint]   Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * [feature] Add support for pos_vel_controllers and pos_vel_acc_controllers (#1806 <https://github.com/ros-planning/moveit/issues/1806>)
  * Contributors: Robert Haschke, Sandro Magalhães, Sean Yen

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Sun, 26 Apr 2020 06:00:00 -0000

ros-rolling-moveit-ros-control-interface (1.0.2-1focal) focal; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Fri, 28 Jun 2019 06:00:00 -0000

ros-rolling-moveit-ros-control-interface (1.0.1-1focal) focal; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Fri, 08 Mar 2019 07:00:00 -0000

ros-rolling-moveit-ros-control-interface (1.0.0-1focal) focal; urgency=high

  * [fix] catkin_lint issues (#1341 <https://github.com/ros-planning/moveit/issues/1341>)
  * Contributors: Robert Haschke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Sun, 24 Feb 2019 07:00:00 -0000

ros-rolling-moveit-ros-control-interface (0.10.8-1focal) focal; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 24 Dec 2018 07:00:00 -0000

ros-rolling-moveit-ros-control-interface (0.10.7-1focal) focal; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Thu, 13 Dec 2018 07:00:00 -0000



=== debian/control ===
Source: ros-rolling-moveit-ros-control-interface
Section: misc
Priority: optional
Maintainer: Henning Kayser <henningkayser@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-controller-manager-msgs, ros-rolling-moveit-common, ros-rolling-moveit-core, ros-rolling-moveit-simple-controller-manager, ros-rolling-pluginlib (>= 1.11.2), ros-rolling-rclcpp-action, ros-rolling-trajectory-msgs, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-moveit-ros-control-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-controller-manager-msgs, ros-rolling-moveit-core, ros-rolling-moveit-simple-controller-manager, ros-rolling-pluginlib (>= 1.11.2), ros-rolling-rclcpp-action, ros-rolling-trajectory-msgs, ros-rolling-ros-workspace
Description: ros_control controller manager interface for MoveIt

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-moveit-ros-control-interface//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-moveit-ros-control-interface 2.8.0

=== debian/changelog ===
ros-rolling-moveit-ros-control-interface (2.8.0-2jammy) jammy; urgency=high

  * Simplify controller manager namespacing (#2210 <https://github.com/ros-planning/moveit2/issues/2210>)
  * Minor cleanup to ros_control_interface and trajectory execution (#2208 <https://github.com/ros-planning/moveit2/issues/2208>)
  * Contributors: Stephanie Eng

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 09 Sep 2023 22:00:00 -0000

ros-rolling-moveit-ros-control-interface (2.7.4-2jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 17 May 2023 22:00:00 -0000

ros-rolling-moveit-ros-control-interface (2.7.3-2jammy) jammy; urgency=high

  * Replace Variable PROJECT_NAME in CMakeLists.txt with the actual name (#2020 <https://github.com/ros-planning/moveit2/issues/2020>)
  * Fix controller_manager_plugin's switch controllers functionality (#2116 <https://github.com/ros-planning/moveit2/issues/2116>)
  * Contributors: Jafar, Shobuj Paul

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 23 Apr 2023 22:00:00 -0000

ros-rolling-moveit-ros-control-interface (2.7.2-2jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 17 Apr 2023 22:00:00 -0000

ros-rolling-moveit-ros-control-interface (2.7.1-2jammy) jammy; urgency=high

  * Add Warning Message for Out of Date Controller Information (#1983 <https://github.com/ros-planning/moveit2/issues/1983>)
    Co-authored-by: Joseph Schornak <mailto:joe.schornak@gmail.com>
    Co-authored-by: Joseph Schornak <mailto:joe.schornak@gmail.com>
  * Update SwitchController API usage (#1996 <https://github.com/ros-planning/moveit2/issues/1996>)
    Fixes deprecated and now removed message fields https://github.com/ros-controls/ros2_control/pull/948
  * Contributors: Erik Holum, Henning Kayser

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 22 Mar 2023 23:00:00 -0000

ros-rolling-moveit-ros-control-interface (2.7.0-2jammy) jammy; urgency=high

  * Fix parameters for ros2_control namespaces (#1833 <https://github.com/ros-planning/moveit2/issues/1833>)
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
  * Fix BSD license in package.xml (#1796 <https://github.com/ros-planning/moveit2/issues/1796>)
    * fix BSD license in package.xml
    * this must also be spdx compliant
  * Contributors: Christian Henkel, Pablo Iñigo Blasco

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 28 Jan 2023 23:00:00 -0000

ros-rolling-moveit-ros-control-interface (2.6.0-2jammy) jammy; urgency=high

  * Rename MoveItControllerManager. Add deprecation warning (#1601 <https://github.com/ros-planning/moveit2/issues/1601>)
    * Rename MoveItControllerManager->Ros2ControlManager. Add deprecation warning.
    * Do not rename base class
    * Still allow users to load plugins by the old names
    Co-authored-by: Jafar <mailto:jafar.uruc@gmail.com>
  * Merge PR #1553 <https://github.com/ros-planning/moveit2/issues/1553>: Improve cmake files
  * Use standard exported targets: export_${PROJECT_NAME} -> ${PROJECT_NAME}Targets
  * Improve CMake usage (#1550 <https://github.com/ros-planning/moveit2/issues/1550>)
  * Support chained controllers (#1482 <https://github.com/ros-planning/moveit2/issues/1482>)
    * fix controller list if chained controllers exist
    * add comments and clean code
    * added additional comments
    * fix formatting
    * fix white space
    * add const reference and chhnage variable name
    * simplify logic to only  work with one layer chain
    * Don't return false when not finding optional parameter
    * Update moveit_ros/perception/pointcloud_octomap_updater/src/pointcloud_octomap_updater.cpp
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    * add debug information
    * print controller names
    * print controllers with not known type
    * load controller dependencies
    * start chained controllers in switch
    * reverse order of activate controllers
    * prevent stoppping controller twice
    * revert all debug changes
    * add ROS error if a controller chains to more than one
    * use loop to index chained connections
    * update ros_control
    * add empty controller allocator for admittance controller
    * fix plugin xml
    * Update moveit_plugins/moveit_ros_control_interface/src/controller_manager_plugin.cpp
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    * Update moveit_plugins/moveit_ros_control_interface/src/controller_manager_plugin.cpp
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    * Update moveit_plugins/moveit_ros_control_interface/src/controller_manager_plugin.cpp
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    * Update moveit_plugins/moveit_ros_control_interface/src/controller_manager_plugin.cpp
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    * fix map indexing
    * add comment
    * Update moveit_plugins/moveit_ros_control_interface/src/controller_manager_plugin.cpp
    Co-authored-by: Tyler Weaver <mailto:squirrel428@protonmail.com>
    * Typos
    Co-authored-by: JafarAbdi <mailto:cafer.abdi@gmail.com>
    Co-authored-by: Jafar <mailto:jafar.uruc@gmail.com>
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    Co-authored-by: Vatan Aksoy Tezer <mailto:vatan@picknik.ai>
    Co-authored-by: Tyler Weaver <mailto:squirrel428@protonmail.com>
    Co-authored-by: AndyZe <mailto:zelenak@picknik.ai>
  * Contributors: AndyZe, Paul Gesel, Robert Haschke, Sebastian Jahr

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 09 Nov 2022 23:00:00 -0000

ros-rolling-moveit-ros-control-interface (2.5.3-2jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 27 Jul 2022 22:00:00 -0000

ros-rolling-moveit-ros-control-interface (2.5.2-2jammy) jammy; urgency=high

  * Remove unnecessary rclcpp.hpp includes (#1333 <https://github.com/ros-planning/moveit2/issues/1333>)
  * Contributors: Jafar



=== debian/control ===
Source: ros-rolling-moveit-ros-control-interface
Section: misc
Priority: optional
Maintainer: Henning Kayser <henningkayser@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-controller-manager-msgs, ros-rolling-moveit-common, ros-rolling-moveit-core, ros-rolling-moveit-simple-controller-manager, ros-rolling-pluginlib (>= 1.11.2), ros-rolling-rclcpp-action, ros-rolling-trajectory-msgs, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-moveit-ros-control-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-controller-manager-msgs, ros-rolling-moveit-common, ros-rolling-moveit-core, ros-rolling-moveit-simple-controller-manager, ros-rolling-pluginlib (>= 1.11.2), ros-rolling-rclcpp-action, ros-rolling-trajectory-msgs, ros-rolling-ros-workspace
Description: ros_control controller manager interface for MoveIt

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
